require 'music_meta_fixer/version'
require 'music_meta_fixer/song'
require 'music_meta_fixer/itunes_lib_parser'
require 'music_meta_fixer/itunes_api'
require 'music_meta_fixer/tag_editor'
require 'music_meta_fixer/pretty_printer'

require 'taglib'
require 'nokogiri'
require 'typhoeus'
require 'json'
require 'term/ansicolor'
require 'cgi'

module MusicMetaFixer
  def self.run
    parser = Nokogiri::XML::SAX::Parser.new(MusicMetaFixer::ItunesLibParser.new)
    filepath = File.join(Dir.home, 'Music', 'iTunes', 'iTunes Music Library.xml')
    file = File.open(filepath)
    parser.parse file
    file.close
  end
end
